Skip to main content
GET
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
scan-profiles
/
{uuid}
GetScanProfile returns a toolchain profile specified by its UUID.
curl --request GET \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-profiles/{uuid}
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "ai_sast_analysis_parameters": {
      "fp_triage": true,
      "mode": "AI_SAST_ANALYSIS_MODE_UNSPECIFIED",
      "retriage": true
    },
    "automated_scan_parameters": {
      "additional_environment_variables": [
        "<string>"
      ],
      "bazel_configuration": {
        "bazel_exclude_targets": [
          "<string>"
        ],
        "bazel_include_targets": [
          "<string>"
        ],
        "bazel_show_internal_targets": true,
        "bazel_targets_query": "<string>",
        "bazel_workspace_path": "<string>"
      },
      "call_graph_languages": [
        "<string>"
      ],
      "disable_code_snippet_storage": true,
      "disable_code_storage": true,
      "enable_ai_sast_scan": true,
      "enable_automated_pr_scans": true,
      "enable_full_git_log_secret_scan": true,
      "enable_pr_comments": true,
      "enable_pr_incremental_scan": true,
      "enable_pr_security_review_scan": true,
      "enable_remediation_action": true,
      "enable_sast_scan": true,
      "enable_secret_scan": true,
      "excluded_paths": [
        "<string>"
      ],
      "full_pr_scan": true,
      "full_push_scan": true,
      "included_paths": [
        "<string>"
      ],
      "languages": [
        "<string>"
      ]
    },
    "exporter_parameters": {
      "exporter_uuids": [
        "<string>"
      ]
    },
    "is_default": true,
    "remediation_parameters": {
      "automated_pr_parameters": {
        "language_parameters": {},
        "max_open_prs": 123
      }
    },
    "security_review_scanner_parameters": {
      "disable_code_summary": true,
      "user_prompt": "<string>"
    },
    "toolchain_profile": {
      "os": {}
    }
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "propagate": true,
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

ScanProfile represents the scan configuration to use across different projects.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required

Spec is the internal specification of the object.

tenant_meta
object
required

Tenant related data for the tenant containing the resource.

propagate
boolean

Indicates that the object should be visible in the child namespaces.

uuid
string

UUID is a universally unique identifier for the tool chain profile.